package cn.stylefeng.team.portal.modular.management.service;

import cn.stylefeng.team.portal.modular.management.entity.PortalNewsCategory;
import cn.stylefeng.team.portal.modular.management.pojo.request.PortalNewsCategoryRequest;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface PortalNewsCategoryService extends IService<PortalNewsCategory> {

    void add(PortalNewsCategoryRequest portalNewsCategoryRequest);

    void del(PortalNewsCategoryRequest portalNewsCategoryRequest);

    void batchDelete(PortalNewsCategoryRequest portalNewsCategoryRequest);

    void edit(PortalNewsCategoryRequest portalNewsCategoryRequest);

    PortalNewsCategory detail(PortalNewsCategoryRequest portalNewsCategoryRequest);

    List<PortalNewsCategory> treeList(PortalNewsCategoryRequest portalNewsCategoryRequest);

}
